Search api for geocoding and address searching.

### Hierarchy

- Search

## Index

### Constructors

- constructor

### Properties

- apiUrl
- API_URL

### Methods

- geocode
- invgeocode

## Constructors

### constructor

- new Search(searchOptions?: SearchOptions): Search

- - Defined in Search.ts:9

  #### Parameters

  - ##### Optional searchOptions: SearchOptions

  #### Returns Search

## Properties

### apiUrl

apiUrl: string

- Defined in Search.ts:9

### Static Private API_URL

API_URL: string

- Defined in Search.ts:8

## Methods

### geocode

- geocode(query: string, geocodeOptions?: GeocodeOptions, callback?: function): void

- - Defined in Search.ts:21

  Geocoding lets you convert a location text (search string, address) into geo coordinates.

  #### Parameters

  - ##### query: string

    Search term, like: 'Hungary, Budapest'

  - ##### Optional geocodeOptions: GeocodeOptions

    option settings like viewport center and language

  - ##### Optional callback: function

    Function callback to process geocode results.

    - - (ev: Event, data: GeocodeResponse): any

      - #### Parameters

        - ##### ev: Event

        - ##### data: GeocodeResponse

        #### Returns any

  #### Returns void

### invgeocode

- invgeocode(query: LatLng, invgeocodeOptions?: InvgeocodeOptions, callback?: function): void

- - Defined in Search.ts:42

  Inverse geocoding lets you convert geo coordinates into location names.

  #### Parameters

  - ##### query: LatLng

    location

  - ##### Optional invgeocodeOptions: InvgeocodeOptions

    option settings like osmid and language

  - ##### Optional callback: function

    function callback with event and response data in JSON format

    - - (ev: Event, data: InvgeocodeResponse): any

      - #### Parameters

        - ##### ev: Event

        - ##### data: InvgeocodeResponse

        #### Returns any

  #### Returns void

Generated using TypeDoc